/*****************************************************************************/
/*	aisa04w.h																 */
/*																			 */
/*	aISA-P04W/H															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/05/01															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA04W_H__
#define __AISA04W_H__

#include "aisa04.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA04_DLL_NAME	  _T("aisa04.dll")	// DLL

#define AISA04_MAX_PORT_W  16	// aISA-P04W̃|[g
#define AISA04_MAX_PORT_H  8	// aISA-P04H̃|[g


#define AISA04_ERR_WRAPDLL ((DWORD)-1)	// bp[֐G[


BOOL  Aisa04wDllOpen();			// DLL [h
BOOL  Aisa04wDllClose();		// DLL A[h

BOOL  Aisa04wGetVersion(PDWORD pdwDll, PDWORD pdwDrv);	// aISA-P04W/H DLL,Driver̃o[Wԍ擾

BOOL  Aisa04wCreate(PWORD pwLogSlot);					// CӂaISA-P04W/H̎gp錾
BOOL  Aisa04wClose(WORD wLogSlot);						// CӂaISA-P04W/H̎gpJ

BOOL  Aisa04wGetResource(WORD wLogSlot, PAISA04R pres);	// \[X擾

BOOL  Aisa04wInPort(WORD wLogSlot, DWORD dwPort, PBYTE pbValue);	// Cӂ̃|[gf[^
BOOL  Aisa04wOutPort(WORD wLogSlot, DWORD dwPort, BYTE bValue);		// Cӂ̃|[gփf[^o

DWORD Aisa04wGetLastError(WORD wLogSlot);				// aISA-P04W/H̃G[R[h


#ifdef __cplusplus
}
#endif

#endif // __AISA04W_H__
